@import "breakpoints";

.backdrop-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  display: block;

  .backdrop-center {
    position: relative;
    display: block;
    text-align: center;

    &.backdrop-vertical-center {
      top: 45%;
      transform: translateY(-50%);
    }

    .backdrop-content-wrapper {
      display: inline-block;
      text-align: left;
    }
  }

  &.scrollable-content {
    overflow-y: auto;
    overflow-x: hidden;
  }

  &.content-shading {
    background-color: var(--bg-backdrop);
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
